# B2B Virtual Account Payment Method
Flexible and secure payment method for B2B market segments using virtual accounts.

## Version: 1

### Servers

| URL | Description |
| --- | ----------- |
| https://sandbox.api.visa.com | Sandbox server |

---
## Payment Service
The Payment web service is used for processing payments and sending payment remittance information to the appropriate suppliers.

### [POST] /vpa/v1/payment/ResendPayment
**Resend Payment**

#### Request Body

| Required | Schema |
| -------- | ------ |
|  Yes | **application/json**: { **"buyerId"**: string, **"clientId"**: string, **"messageId"**: string, **"emailNotes"**: string, **"accountNumber"**: string, **"expirationDate"**: string, **"originalMessageId"**: string, **"primaryEmailAddress"**: string, **"alternateEmailAddresses"**: [ { **"localAlternateEmailAddress"**: string } ], **"supplierProfileUpdateIndicator"**: string }<br> |

#### Responses

| Code | Description | Schema |
| ---- | ----------- | ------ |
| 201 | Created | **application/json**: { **"ResendResponse"**: { **"messageId"**: string, **"statusCode"**: string, **"statusDesc"**: string } }<br> |
| 400 | Error Codes | **application/json**: { **"RSP001"**: object, **"RSP003"**: object, **"RSP004"**: object, **"RSP005"**: object, **"RSP012"**: object, **"RSP013"**: object, **"RSP025"**: object, **"RSP029"**: object, **"RSP030"**: object, **"RSP035"**: object, **"RSP043"**: object, **"RSP049"**: object, **"RSP161"**: object, **"RSP162"**: object, **"RSP163"**: object, **"RSP167"**: object, **"RSP173"**: object, **"RSP182"**: object, **"RSP186"**: object, **"RSP029a"**: object }<br> |
